Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
shanetko Posted on 20/03/2020 13:55
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message
 
2nd of March 52 deaths Italy
16th of March 55 deaths UK

3rd March 79 deaths Italy
17th March 71deaths UK

4th March 107 deaths Italy
18th March 103 deaths UK

5th March 148 deaths Italy
19th March 144 deaths UK

18th March 2978 deaths Italy
1st April ???? deaths UK
IP: Logged
sixthswan Posted on 20/03/2020 13:59
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
So likely to be close to 200 in the UK today.
IP: Logged
shanetko Posted on 20/03/2020 14:04
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
6th March Italy went to 197. So probably.
IP: Logged
sixthswan Posted on 20/03/2020 14:11
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Which would mean over a thousand by next Thursday. Hopefully not...
IP: Logged
dirtybollard Posted on 20/03/2020 14:17
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
It depends on if you believe everything you are told I suppose. The smart money is it's all a scam to control an increasingly unhappy public who have been taking to the streets all over Europe in anti-government/ EU protests / riots. Not that difficult to work out eh.[;)][;)]
IP: Logged
Drew-Peacock Posted on 20/03/2020 14:19
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
WE'RE ALL DOOMED, DOOMED I TELL YOU
IP: Logged
ClaphamFox Posted on 20/03/2020 16:02
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
184 deaths as of today.
IP: Logged
Adumass Posted on 20/03/2020 16:03
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
39 today.

fingers crossed its a positive sign.
IP: Logged
JohnMitten Posted on 20/03/2020 16:11
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
How many people get killed in Road Traffic Incidents in the UK on average?
IP: Logged
sixthswan Posted on 20/03/2020 16:16
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Perhaps this might be a bit more serious than RTAs. They don't tell people to stay at home because of potential car crashes. Wisen up, for your own good.
IP: Logged
snootyfox Posted on 20/03/2020 16:17
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
I think the subject here is deaths from covid-19, rather than deaths in general. as road fatalities aren't normally contagious
IP: Logged
snootyfox Posted on 20/03/2020 16:18
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Although you may have hit on something.....14 days home quarantine WOULD protect against 99% of road traffic accidents.
IP: Logged
shanetko Posted on 20/03/2020 16:50
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
It sounds awful to think only 39 deaths is good news but perhaps we’re flattening our curve a tad compared to Italy at least
IP: Logged
snootyfox Posted on 20/03/2020 17:03
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
it hasn't been mentioned, but how much of an impact does smoking have on the figures.
I understand Italy and Spain have a greater number of smokers than the UK.
I am an ex heavy smoker myself so won't have the greatest lungs.
IP: Logged
snootyfox Posted on 21/03/2020 19:45
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
In the last 24 hours, Italy has announced another 800 odd dead.....that’s quite astonishing
IP: Logged
LGFOX Posted on 21/03/2020 21:53
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
And we have 233 dead. Exactly the same number as Italy 14 short days ago. There’s people here who still think it’s not serious.
IP: Logged
m4DD0gg Posted on 21/03/2020 22:05
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
It is both staggering and astonishing the absolute ignorance, respect and down right irresponsibility of the uk people right now.

Most people in this country are thick as pigs muck but given the amount of information they are being provided and they still carry on it becomes very hard to wrap your head around.

Irony of mothers day tomorrow with a % of those mums being brown bread in 3 weeks time due to 'activities' planned for tomorrow.

Sad times.
IP: Logged
snootyfox Posted on 21/03/2020 22:10
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
i can't get out of my mind the images of the boozing Benidorm Brits last week....and the rising number of fatalities in Spain.

Also, It's now well documented that the Health service in northern Italy was very modern, plentiful in hospitals and beds, and a wealthy region....there is no reason to expect that this country will fare any differently than a lot worse.
IP: Logged
LeicesterRino Posted on 21/03/2020 22:17
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
To have an informed opinion we need to know how many of these poor people are dying because of the virus and how many people are dying with the virus.

On average 12000 people die in the UK every week, we need to know if that figure is increasing
IP: Logged
bnet Posted on 21/03/2020 22:21
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Rhino[^]

I've been wondering if every flu like related death is being put down as Corona virus death. If thats the case as l guess it is then it points even more to something else going on.

If this was as bad as they are saying, to the state of a lock down and the army mobilising there would surely be tens of thousand deaths already. For me the sums don't add up.
IP: Logged
shanetko Posted on 21/03/2020 22:55
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Italy has been in lockdown for 13 days now and they are now getting nearly a thousands deaths in a single day.

I think we are a going to see lockdown with military enforcement very soon. Way way way too late though.
IP: Logged
m4DD0gg Posted on 22/03/2020 07:44
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
No one ever died of Coronavirus....end of.

They are dying due to complications caused by Covid-19. Think of how HIV and AIDS work, no one ever died of HIV, they die of AIDS which is brought on as an example by things like Pneumonia.

In 2018 600K people died in the UK (official stat). That is about 1600 per day.

I would be interested in seeing death rates of Italy/UK/France/Spain year on year for a comparison.
IP: Logged
LeicesterRino Posted on 22/03/2020 07:49
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Why compare the UK to Italy? Why not Germany or Sweden?
IP: Logged
Surffers Posted on 22/03/2020 07:52
Comparison to Italy
Edited On: 22/03/2020 07:54
Report Message | Email Message To A Friend | Reply To Message 

 
Compare it to Australia 8 dead in a month of panic all of them older with a health condition .

Try Germany




The coronavirus crisis has hit Germany with full force. Infections are increasing rapidly, schools, factories and bars have closed across the country, and government measures to slow the outbreak are becoming more draconian by the day. 

In one crucial way, however, the country is proving remarkably resilient: relative to known infections, the number of deaths has so far been minuscule. 
IP: Logged
m4DD0gg Posted on 22/03/2020 08:02
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Reports in Germany indicated that deaths are so low due to the virus being imported back into the country by young people returning from the Ski season in Northern Italy.

The alarming reality is deaths are increasing steadily now as more people in country are being affected. Bavaria is text book of this bordering Italy and being the most effected area.
IP: Logged
LeicesterRino Posted on 22/03/2020 08:19
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
The point is why compare us to the worst affected countries why not the least affected. Stop trying to scare everyone
IP: Logged
m4DD0gg Posted on 22/03/2020 08:34
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
I am not comparing, i dont have to.

Our trajectory is exactly the same as their's albeit 10 or so days behind.

My original post earlier up in this thread was pointing out that until selfish, ignorant people stop going out and spreading we will not see a down turn.
IP: Logged
shanetko Posted on 22/03/2020 08:41
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
We’re on a direct curve path like Italy. Except to match them we’d need to lockdown now. I hope people are scared. Maybe being scared will stop people being self indulgent ignorant w**kers.
If that makes me a horrible caant so be it. I’d rather this country keep the death toll down to below 30,000 not the inevitable 250,000+
IP: Logged
Surffers Posted on 22/03/2020 10:10
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Total bollux the numbers dieing are nowhere a 1000 you need professional help.

The media have poisoned your brain cell.
IP: Logged
bnet Posted on 22/03/2020 10:17
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Singapore cracked by tracking down the source of each case. Then making the inflected sign an agreement to to leave their houses.
IP: Logged
DagenhamFox Posted on 22/03/2020 10:17
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
We should compare ourselves to Italy in my opinion. That’s the nation fairing the worst and ahead of all others. That’s the future for us and all other countries.
IP: Logged
Surffers Posted on 22/03/2020 10:20
Comparison to Italy
Edited On: 22/03/2020 10:23
Report Message | Email Message To A Friend | Reply To Message 

 
Thanks for your opinion it's worthless .

Italy has an aging population with a bad diet and chain smokers,
IP: Logged
shanetko Posted on 22/03/2020 10:25
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Imagine if your postings disappeared perhaps because of the virus Surffers, it would make a lot of people happy. The only poison here is you.
IP: Logged
Surffers Posted on 22/03/2020 10:28
Comparison to Italy
Edited On: 22/03/2020 10:31
Report Message | Email Message To A Friend | Reply To Message 

 
No I post reality not bollux like you.

I am aging and have not been self isolated yet I have no flu, strange that.
IP: Logged
Mistryman Posted on 22/03/2020 10:54
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
"I'm alright Jack" - Sufferers
IP: Logged
bnet Posted on 22/03/2020 10:59
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
thats nice Shane !
IP: Logged
shanetko Posted on 22/03/2020 11:26
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
He’s abusing people and spouting venom on almost every thread I stumble on, on here.
IP: Logged
foxesneverquit Posted on 22/03/2020 11:32
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Best to ignore him Shane.
Some of his posts have infuriated me but best we don't become keyboard warriors.
We are better than that. [;)]
IP: Logged
LeicesterRino Posted on 22/03/2020 11:37
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
We need to make sure we don’t over dramatise the situation and stick to the best medical advise.
IP: Logged
charleyfarley Posted on 22/03/2020 11:42
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
The Northern Beaches are closed,South Australia closes it's borders next week, not all Ozzie's think like him.
Thank God for small mercies.
IP: Logged
DagenhamFox Posted on 22/03/2020 17:25
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
“Italy has an aging population with a bad diet and chain smokers,”

They have an ageing population, we know this. One would think their diet is therefore better than other parts of the western world otherwise they’d all be having heart attacks at a younger age.

Every country has their share of chain smokers, often the ageing population who haven’t had the desire or need to quit.
IP: Logged
ElVesto Posted on 22/03/2020 18:41
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Bad diet?? What nonsense!
IP: Logged
m4DD0gg Posted on 22/03/2020 19:08
Comparison to Italy
Edited On: 22/03/2020 19:08
Report Message | Email Message To A Friend | Reply To Message 

 
Bad diet?!

LMFAO

Italy and the med in general have one of the best diets in the world which has been scientifically linked to their longevity in age.

The reason and the ONLY reason they are getting butt raped is because they simply cannot adhere to some simple advice.........same as in this country where most peoples diet is poor, chain smoke, booze hounds and a health service no where near as capable as the one in Northern Italy.
IP: Logged
Surffers Posted on 22/03/2020 20:04
Comparison to Italy
Edited On: 22/03/2020 20:10
Report Message | Email Message To A Friend | Reply To Message 

 
So still only 7 dead in OZ, why?
You halfwits have no answer.

Italian middle aged women on the whole are fat bleeders must be their good diet of pasta and red wine.

IP: Logged
Fugazi Posted on 22/03/2020 20:10
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Luckily for Australians new rules coming soon. Common sense 1 Fuuckwits 0
IP: Logged
Surffers Posted on 22/03/2020 20:12
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Without no rules 7 have died that's a fact, tosser.
IP: Logged
Fugazi Posted on 22/03/2020 20:17
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Ooh I do love it when you get all intellectual. More, more! [:D]
IP: Logged
Fugazi Posted on 22/03/2020 20:24
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Boooooooo! Anyway seeing your name has reminded me it's bin day tomorrow so time to put the rubbish out.
IP: Logged
Surffers Posted on 22/03/2020 20:27
Comparison to Italy
Edited On: 22/03/2020 20:28
Report Message | Email Message To A Friend | Reply To Message 

 
You still have no answers to why only 7 people have died out of 25 million with no restrictions.
Come on turd explain.
IP: Logged
TheAddersFox Posted on 22/03/2020 20:34
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
It is true the traditional Mediterannian diet is healthy but come on most of these countrys in southern europe are now full of Arfican and Asian Immigrants, it is well known the influx across the mediterannian of desperados and chain smoking winos will drag down the heath of the population overall.
IP: Logged
ElVesto Posted on 22/03/2020 20:58
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Only a few deaths in Oz because

1. It has a largely hot dry climate.

2. There are strict immigration controls.

Neither of these is any reason to be smug and complacent.
IP: Logged
Surffers Posted on 22/03/2020 21:08
Comparison to Italy
Edited On: 22/03/2020 21:21
Report Message | Email Message To A Friend | Reply To Message 

 
Flu kills in winter its not winter here yet and it's more of an outdoor life this flu first attacks the lungs being locked down in a stuffy room does not help.

Most capital cities here are near the sea a good lungful of sea air helps.

I had pneumonia as a kid the doctor advised bed rest and opening all the bedroom windows in the middle of winter to help my breathing.
IP: Logged
Fugazi Posted on 22/03/2020 21:22
Comparison to Italy
Edited On: 22/03/2020 21:43
Report Message | Email Message To A Friend | Reply To Message 

 
That would make sense El Vesto.

Looks like even though it's not winter there Australia is taking no chances, hence the proactive decisive action to best ensure the situation there does not get serious. Of course, for the reasons EV gives, they are in a much better position than most countries to prevent community spread anyway.

China's ability to stem the tide before it got out of hand was mainly a result of their initiating a lockdown after only 20 or so deaths, aided by the strict control regime there, of course. I've just heard that from Financial Times data expert John Burns Murdoch. The current problems elsewhere are because such proactive behaviour was sorely lacking, together with other country specific factors, of course.

To add, but who needs an FT expert to comment when we have Surffers with his expert tips for preventing serious viral infection. Yeah just get a lungful of sea air. That'll sort the virus out. What are these medical experts waiting for ? Genius.
IP: Logged
snakeeye Posted on 22/03/2020 21:25
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
I don't answer many messages on here, but is addersfox post a p155 take?

Blaming Africans for the deaths of mainly north Italian pensioners?
IP: Logged
Surffers Posted on 22/03/2020 21:44
Comparison to Italy
Edited On: 22/03/2020 21:45
Report Message | Email Message To A Friend | Reply To Message 

 
Fuggit Italy has proved locking people down has not stopped Italian deaths it may even increase deaths in Australia which still total 7.

Spain has a dry climate its not helping them is it.
IP: Logged
Filbo65 Posted on 22/03/2020 21:48
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
It looked to me that today's UK death figure is substantially less than what some people claimed it woild be on an inevitable comparison with Italy – as per the original post.
Let's hope it's the start of continued divergence...
IP: Logged
ElVesto Posted on 22/03/2020 22:04
Comparison to Italy
Edited On: 22/03/2020 22:04
Report Message | Email Message To A Friend | Reply To Message 

 
Spain is in the northern hemisphere, hence not hot now. [rle]
IP: Logged
Surffers Posted on 22/03/2020 22:08
Comparison to Italy
Edited On: 22/03/2020 22:11
Report Message | Email Message To A Friend | Reply To Message 

 
Hate to point this out but Melbourne can have 4 seasons in one day and it's hardly dry, deaths upto now one.

Southern Spain will be warmer than Melbourne right now.
IP: Logged
Fugazi Posted on 22/03/2020 22:13
Comparison to Italy
Edited On: 22/03/2020 22:14
Report Message | Email Message To A Friend | Reply To Message 

 
Simple answer re Italy: I don't know why lockdown hasn't worked as I'm not an expert. However, from what I've read, it might (emphasis on "might") have something to do with one of the reasons I read why it spread so quickly in Italy to start with: three generations of the same family under one roof. Clearly, lockdown would not help in those situations, unless the generations were separated (although in many households I suppose that would have happened by default as many elderly relatives were taken to hospital). The fact, according to John Burns Murdoch, is that it did it work for China.

By the way, I feel we're almost having a reasonable discussion here. [;)]
IP: Logged
Mistryman Posted on 22/03/2020 22:21
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Sufferers - your obsession only with how many people have died, is irrational.

How about how many have been diagnosed with it? How many are seriously ill? The pain & worry they & their families are going through?

Try & put a "number" on it. Go on.

Furthermore, why don't you tell those 7 families personally that the deaths of their loved ones, just don't matter?
IP: Logged
Fugazi Posted on 22/03/2020 22:28
Comparison to Italy
Edited On: 22/03/2020 22:35
Report Message | Email Message To A Friend | Reply To Message 

 
Yeah, nice one. That will help calm him down. Just when I thought I might, just might, get a reasoned response. [rle]

Who am I fuuckin' kidding ?
IP: Logged
Surffers Posted on 22/03/2020 22:37
Comparison to Italy
Edited On: 22/03/2020 22:49
Report Message | Email Message To A Friend | Reply To Message 

 
1000 Australians have the new flu most of them are not even in hospital that's still out of 25 million people.

According to the chief medical officer 80% of cases have very mild symptoms.

Misery you are a first class prat still only 7 dead, I don't care about any of them given I don't know them and most were very old.
IP: Logged
Fugazi Posted on 22/03/2020 22:40
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Yeah, anyway, about Burns Murdoch's point about lockdown in China. Was he wrong ?
IP: Logged
Mistryman Posted on 22/03/2020 22:47
Comparison to Italy
Edited On: 22/03/2020 22:49
Report Message | Email Message To A Friend | Reply To Message 

 
Like I said, go & see the 7 families. What are you scared of?
IP: Logged
Surffers Posted on 22/03/2020 22:49
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
You find them genus in a population of 25 million.
IP: Logged
Fugazi Posted on 22/03/2020 22:58
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
So I think I can conclude that you don't dispute what Burns Murdoch said about the effectiveness of the China lockdown, implemented after only 20 or so deaths. So, what logical reason do you have for not implementing in Australia as a precautionary measure ?
IP: Logged
Not-anymore Posted on 22/03/2020 23:13
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Fugazi I think that was great. I have a slightly different theory that I would like you opinion on.

I am not Italian but have spent my whole life with Italians in different places

The most obvious thing to me is that without exception you are treated with hugs and the double cheek kiss if you are Italian or Italian adjacent.

In China greetings are not that personal.

Is it possible the spread of infection is related?
IP: Logged
Fugazi Posted on 22/03/2020 23:27
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Well you wouldn't think that would help prevent spread, for sure, but you would need to ask an expert. I just go by what I read and try to form a balanced judgment.
IP: Logged
Fugazi Posted on 23/03/2020 00:20
Comparison to Italy
Edited On: 23/03/2020 00:21
Report Message | Email Message To A Friend | Reply To Message 

 
Right, work tomorrow so I'm going bed. Surffers, I expect you're busily researching and crafting your well reasoned counter argument. Look forward to it. I just hope the sense of anticipation don't mess with me sleep.
IP: Logged
Surffers Posted on 23/03/2020 04:39
Comparison to Italy
Edited On: 23/03/2020 04:40
Report Message | Email Message To A Friend | Reply To Message 

 
Still only 7 dead but the centrelink offices are packed with those who have been made unemployed by the lockdown, well worth destroying an economy for a few old bleeders passing away.
IP: Logged
Adejefox Posted on 23/03/2020 07:19
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Surffers, what date are you arriving in the UK for your visit?
IP: Logged
Surffers Posted on 23/03/2020 07:41
Comparison to Italy
Edited On: 23/03/2020 07:47
Report Message | Email Message To A Friend | Reply To Message 

 
Hopefully first week in April if my flight is still going but the dim tart who is QLD Premier has closed the state borders today so who knows now.
IP: Logged
ElVesto Posted on 23/03/2020 07:49
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
So what's your point Surffers, are you simply telling us (again) how wonderful Australia is? Maybe it has some magical aura of protection, something like the Colgate ring of confidence.
IP: Logged
Surffers Posted on 23/03/2020 08:03
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
The point is only 7 people have died why panic as for Italy they are obviously unable to run a pizz up in a brewery so why use them as an example.

Portugal has had 12 deaths this obsession with Italy is getting boring.

Economy's are being burnt and people are being thrown on the scrap heap for what.
IP: Logged
Mistryman Posted on 23/03/2020 08:21
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
If you feel that the whole thing is a sham, why don't you defy your politicians, the official advice, the sensible advice given by medical experts?

If you are that determined & evidently so much knowledgeable than everyone else about this, then surely this can be your defence?

After all, the death toll is "only" 281 at the moment in the UK.
IP: Logged
ElVesto Posted on 23/03/2020 08:21
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
You had better hope your flight is cancelled then, You might go back and infect the whole of Oz.
IP: Logged
Surffers Posted on 23/03/2020 08:30
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
This is a fact of life in the UK

Around 500,000 people die in England each year, and it is predicted that this will rise to 590,000 within the next 20 years. Heart failure and stroke are the biggest killers. One in four people in the UK will die of cancer.

So this under 300 flu deaths is not a major event.
IP: Logged
Mistryman Posted on 23/03/2020 08:37
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Yeah, not a "major event" for family member/friend of those 300 that have died.

Go on, make the effort to find the families of those that have died, & let us know what their reaction is when you tell them what you are preaching here.
IP: Logged
Drew-Peacock Posted on 23/03/2020 08:38
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
It is very important that we do all we sensibly can to preserve life. However I saw the Arch Bishop of York is now giving medical advice, we don't need it from him, we have dancing and singing medics on the TV, we don't need that we need you to go about your business efficiently and with the minimum of fuss. Above all we need to keep all of this in perspective as our antipodean chum keeps saying lots of people die in the UK everyday we must not turn this into some sort of soap opera
IP: Logged
Mistryman Posted on 23/03/2020 09:19
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
And nor must we treat it as a non-important issue as our antipodean "chum" keeps citing it as.
IP: Logged
Surffers Posted on 23/03/2020 09:28
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
I have not got this flu and know no one who has , one of my younger employees had a bacterial infection last week and was in hospital his attitude was he would rather had a virus given the state he was in.
IP: Logged
ElVesto Posted on 23/03/2020 09:29
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
It will be a lot more than 281 by the time it's finished.
IP: Logged
Surffers Posted on 23/03/2020 09:33
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
So put a figure on the number of deaths say 100,000 or 1,000,000 maybe 10,000,000.

IP: Logged
Mistryman Posted on 23/03/2020 09:52
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
I'd hope that no-one is as callous or as ignorant as you to start playing a 'death number guessing game' with you.
IP: Logged
Adumass Posted on 23/03/2020 10:24
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
surffers, you keep obsessing about the death rate, but its like comparing china at day#40 with uk on the same date.

even an absolute idiot can see that it takes time for the virus to spread around the globe - its not a simultaneous event. you're lucky to be in a land that is one of the last, not the first. all countries should use that time well, to learn for the less fortunate.
it seems oz are doing this, us less so.

but please do one thing for us, give a loved one (if you have any) your log on details and ask them to let us know if you get it and can't post anymore...
IP: Logged
ClaphamFox Posted on 23/03/2020 17:15
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
As of today, 335 people in the UK have died from coronavirus. At the same stage, Italy had registered 463 deaths. A few days ago, we were mirroring Italy almost exactly; now, we seem to have fallen behind a little. Curve flattening or a blip? Let's pray it's the former.
IP: Logged
shanetko Posted on 23/03/2020 17:19
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Obviously no amount of deaths is good.
Curve does however appear to be somewhat flattening. Let’s hope that continues [^]
IP: Logged
Filbo65 Posted on 23/03/2020 17:19
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Indeed – it's the second day running that the figures are diverging. But then again, it might just be one day's slippage. An expert yesterday was warning against making direct comparisons with other countries, so I'm not reading too much into it yet – tempting though it is to do just that...
IP: Logged
sixthswan Posted on 24/03/2020 15:37
Comparison to Italy
Edited On: 24/03/2020 16:06
Report Message | Email Message To A Friend | Reply To Message 

 
Not confirmed for definite, but have there only been two new deaths in the UK in the latest figures? Hope that is true, regardless of the tragedy for those two people...

Edit - gone to three now. Perhaps they are in the process of being added...

Edit again - currently a depressing 87 new deaths...
IP: Logged
ClaphamFox Posted on 24/03/2020 16:10
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
87 is indeed depressing. However, our last four day's totals have been 233, 281, 335, 422. Their totals were 233, 366, 463 and 631. So in a four-day period they nearly tripled, whereas we haven't doubled. We're on a curve, but it is not the same as Italy's.
IP: Logged
Fugazi Posted on 24/03/2020 16:36
Comparison to Italy
Edited On: 24/03/2020 16:38
Report Message | Email Message To A Friend | Reply To Message 

 
3 things spring to mind:

1) Possibly (probably ?) higher number of high risk people in Northern Italy, compounded by the previously mentioned reasons why they might get infected more readily. So more of those infected than in the UK.

2) Italy's healthcare system more overwhelmed ?

3) Let's hope the huge numbers of people at Cheltenham, Brighton beach, Whitstable, etc. who behaved with no regard for the situation do not come into contact with high risk people or our numbers could go through the roof. I'm presuming that those at high risk would not be in those places. You would hope not.
IP: Logged
Filbo65 Posted on 24/03/2020 16:36
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
6th – this does seem to be the time of day that the figures are announced, ready for the PM's new conference.
If the curve gets any flatter, the beaches will be packed again at the weekend...[rle]
IP: Logged
sixthswan Posted on 24/03/2020 16:43
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Even with such loss of life, there is a glimmer of hope in there with the UK figures. But as has been mentioned, the late flurry of lunatics gathering in large numbers; may change the situation in the coming weeks.

Would love to be wrong though.
IP: Logged
Nomadic_Fox Posted on 24/03/2020 16:46
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
These are scary numbers but not yet on the scale to flu: average number of deaths of 17,000 over the last five years.

We need to keep it in context, as well as listening to the government's instructions to ensure we do not end up in the same or worse position as flu associated deaths. If we stay away from each other transmission rates will fall and so will attributable deaths.
IP: Logged
ClaphamFox Posted on 24/03/2020 16:48
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
I think the message is getting through. We went to the local park earlier on for a barbecue and a few beers with four other local families we know and there was hardly anybody about [^]
IP: Logged
Filbo65 Posted on 24/03/2020 16:52
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Same on our coach outing earlier – couple of free seats, which is v unusual
IP: Logged
borebage53 Posted on 24/03/2020 16:59
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Only myself and 8 others on the Water Chute at Wicksteed Park this morning!
IP: Logged
ClaphamFox Posted on 24/03/2020 17:22
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
These are all positive signs. The landlord of my local invited around 30 of the regulars last night for a lock-in and the general view among the group was that most people would be too selfish to follow the government's guidelines. It's encouraging to heat that's not the case.
IP: Logged
borebage53 Posted on 24/03/2020 17:40
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Rolling a cheese down a steep hill in Gloucestershire as we speak. So far only 3 broken legs,one collar bone and 4 shattered arms out of 3 teams of 40 each!
IP: Logged
borebage53 Posted on 24/03/2020 17:44
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
........we're switching to Badger baiting as soon as it gets dark!
IP: Logged
bnet Posted on 24/03/2020 17:47
Comparison to Italy
Edited On: 24/03/2020 17:48
Report Message | Email Message To A Friend | Reply To Message 

 
just seen the national charts and Leicester seems to be down the bottom of the list per 100k, worst is the west end of London and spreading out.


ton up
IP: Logged
Surffers Posted on 24/03/2020 18:38
Comparison to Italy
Edited On: 24/03/2020 18:39
Report Message | Email Message To A Friend | Reply To Message 

 
Bad news on OZ now 8 dead new one 79 year old off a cruise ship, its the end of the world I tell you.

But the good news is the dole centers are not coping with 100,000's being thrown out of work thanks to the unnecessary panic.
IP: Logged
Filbo65 Posted on 24/03/2020 18:48
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Aha. I've got it.
You are Christopher Whitty CB FRCP FFPH FMedSci.
I claim my £5.
IP: Logged
Surffers Posted on 24/03/2020 18:58
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Medical science is not stopping one person die of cancer every 12 minutes in OZ but hey 8 people dieing of the flu is bringing the country to a stand still.

The f#ckwits are causing more damage than the illness.
IP: Logged
shanetko Posted on 24/03/2020 20:26
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Curve isn’t going as violently as Italy thank XXXXXX. Still upsetting to know 87 people have snuffed it though.

On the subject of people I was in co-op this morning trying to get some bog roll n milk (they had neither) and an old bloke starting coughing and spluttering. The young lad working for co-op tore into him.
IP: Logged
Fugazi Posted on 24/03/2020 20:33
Comparison to Italy
Edited On: 24/03/2020 20:34
Report Message | Email Message To A Friend | Reply To Message 

 
Seems Australia might be aiming to replicate the results of China's successful policy of lockdown after 20 deaths. They seem to have stopped loads of deaths, unlike other countries that didn't act as quickly. Very responsible governing.
IP: Logged
Surffers Posted on 24/03/2020 20:34
Comparison to Italy
Edited On: 24/03/2020 21:23
Report Message | Email Message To A Friend | Reply To Message 

 
On a normal week in the UK 10,000 die.

No restrictions in OZ 7 dead in a month of panic so first day of restrictions now 8 dead and upto 2 million going to lose their jobs, very clever not.
IP: Logged
Fugazi Posted on 24/03/2020 21:24
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Non sequitur m8
IP: Logged
Surffers Posted on 24/03/2020 21:28
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Ask the people now trying to get dole money in OZ how happy they are and those that will lose their homes and businesses because of 8 deaths of people over 75 years old.
IP: Logged
Fugazi Posted on 24/03/2020 21:33
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
If only the Government had just told everyone to go down and get a few lungfuls of sea air.

Amateurs.
IP: Logged
Surffers Posted on 24/03/2020 21:36
Comparison to Italy
Edited On: 24/03/2020 21:38
Report Message | Email Message To A Friend | Reply To Message 

 
Still 7 people died in a month with no restrictions and the first died over a month ago, the media had caused this panic halfwit.

The flu kills far more than that every year here so suck it up.
IP: Logged
Filbo65 Posted on 24/03/2020 22:10
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
'Ere clapham – was this your barbq? [rle][rle][rle]

Link: Jesus wept
IP: Logged
Fugazi Posted on 24/03/2020 22:12
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Too easy. Toodle pip.
IP: Logged
hackneyfox Posted on 24/03/2020 22:19
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
BBQ was in Foleshill, that's a dump even by co* standards.
IP: Logged
DagenhamFox Posted on 25/03/2020 03:54
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
ColdToast why don’t you protest to your parliament rather than boring us on here with the same words over and over again?

You’re starting to sound a lot like Hide.
IP: Logged
Surffers Posted on 25/03/2020 03:59
Comparison to Italy
Edited On: 25/03/2020 04:02
Report Message | Email Message To A Friend | Reply To Message 

 
Given most of the posts on here are predicting total bollux I just thought I would add reason against delutions.

Still 8 dead out of 2000 infections that's a death rate of 0.35 how boring hey.


But Trump has given the virus until Easter, good man a real world leader.
IP: Logged
DagenhamFox Posted on 25/03/2020 04:05
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Latest from Australia (courtesy of the BBC) which is ramping up response measures. About 2,300 people here have now tested positive – it was about 600 a week ago.

"We are very worried about the rate of the rise. It is a very, very steep growth," chief medical officer Dr Brendan Murphy told Australians last night.

From midnight, strict limits will apply to people attending funerals and weddings. Many businesses have been ordered to close - we have more details here.

For the first time, Prime Minister Scott Morrison has also expressly discouraged gatherings at home.

This morning, he added elective surgeries would be banned and a new taskforce would be created to stimulate businesses.

New South Wales, which has more than 1,000 cases, said its first children under 10 had tested positive: a two-month-old boy and a seven-year-old girl.
IP: Logged
Surffers Posted on 25/03/2020 04:22
Comparison to Italy
Edited On: 25/03/2020 04:24
Report Message | Email Message To A Friend | Reply To Message 

 
8 dead out of 2230(government figures) that's hardly a problem is it.

2 miilion will be losing their jobs that's a real problem.

250 cases came off a cruise ship a day ago that should have not have been allow in.

The NSW medical officer stated 80% of cases will have very mild symptoms and some will not even know they have it.
IP: Logged
DagenhamFox Posted on 25/03/2020 04:42
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Interesting how you’re editing every post.

What you just said you’ve probably said 20 times on this one thread already.

Do you have anything new to add?

It’s the same in every country. Pretty much every one is in some sort of lockdown. If they don’t more and more people will die. Hospitals will be overrun with cases and will not be able to cope. Governments cannot have this happen on their watch. Every county will have economic issues after this, we’re all in this together.

Have you heard of the saying prevention is better than cure?
IP: Logged
Surffers Posted on 25/03/2020 04:58
Comparison to Italy
Edited On: 25/03/2020 05:27
Report Message | Email Message To A Friend | Reply To Message 

 
Schools still open most work places still open and so much for a lockdown.

Hospitals here send the majority of the cases back home.

Italys lockdown is not keeping the figures down is it.

The facts are the figures here are nowhere like Italys or will be so panicking is pointless.

The cure can kill more than the illness in many ways.
IP: Logged
bnet Posted on 25/03/2020 06:49
Comparison to Italy
Edited On: 25/03/2020 06:52
Report Message | Email Message To A Friend | Reply To Message 

 
if Babylonian money magic is stopped after this, there will be no financial crisis. Some say thats what this is all about, l don't know but l hope so. As anyone heard of GESARA and NESARA? We can live in hope !

People ask where all this money is coming from to subsidise wages and business, its the banks but if they bring in GESARA the banks will be finished and no more debt. Mortgages, taxes and all loans will be squashed and we start again with a clean sheet. Trump and Putin have hinted at this already and if this is what its really about then the world will be a unimagnenably better place.
The Federal Reserve is the biggest actor in this and l bet most think the FR is part of the USA and controlled by the government, for those who don't know , its probably the other way round.

One thing that as always puzzled me is why most people don't understand why every country in the world is n debt and who too. Its because the banks have us trapped. l've always told my daughters to never borrow money unless you really have too, as by doing so, everything you buy, costs 10 to 20 % extra, and that is the trap that enslaves us all.

I surpose some of you know more than me about economics but l found out recently that one law of economics is that the lender and loanee have equal responsibility. The Greeks have used this to tell Deuche bank to fukc off. If all countries do this then debts gone. I know its not as simple as that, partly because the banks control law and governments, if the power is being taken back then who knows.
IP: Logged
Fugazi Posted on 25/03/2020 13:59
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Since you keep deflecting and repeating yourself cobber, allow me to repeat some previous points. Maybe you’ll understand them properly this time and respond. And don’t say it’s all about the economy. At least try to be balanced.

Simple answer re Italy: I don't know why lockdown hasn't worked as I'm not an expert. However, from what I've read, it might (emphasis on "might") have something to do with one of the reasons I read why it spread so quickly in Italy to start with: three generations of the same family under one roof. Clearly, lockdown would not help in those situations, unless the generations were separated (although in many households I suppose that would have happened by default as many elderly relatives were taken to hospital). The fact, according to John Burns Murdoch, is that it did it work for China.

So I think I can conclude that you don't dispute what Burns Murdoch said about the effectiveness of the China lockdown, implemented after only 20 or so deaths. So, what logical reason do you have for not implementing in Australia as a precautionary measure ?
IP: Logged
shanetko Posted on 25/03/2020 14:47
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
21 year old with no underlying health issues just passed away. Christ :(
IP: Logged
sixthswan Posted on 25/03/2020 14:53
Comparison to Italy
Edited On: 25/03/2020 14:55
Report Message | Email Message To A Friend | Reply To Message 

 
Stupid website. Double post.
IP: Logged
sixthswan Posted on 25/03/2020 14:54
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
0.2% of those aged 10 to 19 years old, die from the virus.
IP: Logged
Filbo65 Posted on 25/03/2020 17:40
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
If 440 is indeed today's latest deaths total, it's either an amazing slowdown, or a lull before the storm.
That said, apart from the obvious reason that it's the worst hit country, I forget why Italy seems to be the benchmark?
IP: Logged
sixthswan Posted on 25/03/2020 17:57
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
I'm hoping it is a slowdown for the UK.

Italy I guess was the benchmark that we wanted and still want to avoid. I suspect the country had the virus lurking way back in early January and that might have led to the harsher scenario there.

Milan and surrounds have strong links to Wuhan because of the fashion industry. That may be one of the causes for what has happened there.

But we are seeing the same thing happen in Spain too.

If it is only those two countries suffer so badly, then that will be a confusing thing to analyse.

Time will tell...
IP: Logged
buz_not_buzz Posted on 25/03/2020 18:59
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
They've not announced England's latest tally yet have they?
IP: Logged
buz_not_buzz Posted on 25/03/2020 18:59
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
They've not announced England's latest tally yet have they?
IP: Logged
Surffers Posted on 25/03/2020 20:11
Comparison to Italy
Edited On: 25/03/2020 20:14
Report Message | Email Message To A Friend | Reply To Message 

 
9 dead now in OZ 69 year old caught it on a cruise ship, the world is ending I tell you.

Schools still open and no ban on people going work, we will all die if they don't nail us in our homes.

Only 24,999,993 people left here can the EU send us help, bog rolls needed.
IP: Logged
ClaphamFox Posted on 25/03/2020 21:12
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
UK deaths now 465, a rise of 43 since yesterday. One was a 47-year-old man with no underlying health conditions. Italy had 827 deaths at this point.
IP: Logged
Surffers Posted on 25/03/2020 21:39
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Well still 9 here none under 65 years old.

So what's the percentage of deaths 65 years and older in the UK and Italy , something like 99% or more.

The odd one under 65 proves zero.
IP: Logged
hackneyfox Posted on 25/03/2020 23:25
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Hilary Clinton may have taken two weeks to come up with but she's nailed it.
"Please do not take medical advice from a man who looked directly at a solar eclipse."
IP: Logged
Surffers Posted on 26/03/2020 00:44
Comparison to Italy
Edited On: 26/03/2020 01:10
Report Message | Email Message To A Friend | Reply To Message 

 
Says a loser who lost to the underdog in an election she could not lose on paper.

Bitter twisted bitch cover it.

11 dead here now it could 35,000 years to wipeout the population at this rate.
IP: Logged
ClaphamFox Posted on 26/03/2020 07:09
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
To be fair she did win 2.8 million more votes, though.
IP: Logged
DagenhamFox Posted on 26/03/2020 07:13
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
At the minute each person who has the virus is transferring it to three other people. Over 6 times it’s passed on here are the number of infections:

1 - 3 - 9 - 27 - 81 - 243.

If a Government can bring in social distancing and limit the spread to just two people these are the numbers:

1 - 2 - 4 - 8 - 16 - 32

You work out which is better.
IP: Logged
Surffers Posted on 26/03/2020 07:54
Comparison to Italy
Edited On: 26/03/2020 08:03
Report Message | Email Message To A Friend | Reply To Message 

 
Try this 8,9,11,12 in a month in OZ with no limit and a fairly lax limit.

Either way the origin bull about a minimum 20,000 dead in the UK is looking like the berks are wrong again.

Is Hillary Rodham Clinton the President, nope she's a loser.
IP: Logged
ClaphamFox Posted on 26/03/2020 08:08
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Oh I know she lost, Surrfers. I was just pointing out that Trump benefited a teensy weensy bit from an electoral system that was so massively rigged in his favour that he could afford to gain 2.8 million votes less than his opponent and still win.
IP: Logged
DagenhamFox Posted on 26/03/2020 08:13
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
More edited posts I see.

Maybe you should acknowledge Australia is doing something right rather than to criticise. Maybe they’ve learned from the mistakes other countries have made or continue to make.

America seems to be a bit more liberal, let’s see how that goes over the next few days.
IP: Logged
Surffers Posted on 26/03/2020 08:14
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
The electoral system in the USA was not changed to allow Trump to win.

The rules were the same for both candidates and Trump had the media against him, Clinton lost she should be prison but Obumma gave her immunity from prosecution.
IP: Logged
Surffers Posted on 26/03/2020 08:18
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Edit because of this predictive bull which is far to quick for me.

Australia has done very little until Monday and the action they are taking now is costing 2 million service jobs, the politicians are being driven by the media now.
IP: Logged
Filbo65 Posted on 26/03/2020 11:38
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
I think Hillary Clinton is still second favourite for the democratic nomination this year, even though she's not running [smi]
IP: Logged
shanetko Posted on 26/03/2020 21:27
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Up 103 today [sad] big jump
IP: Logged
ElVesto Posted on 26/03/2020 21:46
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
They've changed the way the statistics are logged. Yesterday's total was only 43 because it covered the period from 9am to 5pm, so was misleading whereas today's total is for the full 24 hour period.
IP: Logged
borebage53 Posted on 27/03/2020 09:23
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
I'm destined to die after 5pm then. Which suits me better as I can then have a longer lie-in during the morning!
IP: Logged
Hezzy Posted on 27/03/2020 14:17
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
"Around 500,000 people die in England each year, and it is predicted that this will rise to 590,000 within the next 20 years"

Surely, if the population number is rising, then the number of deaths will also rise?
The interesting fact would be the % of the population dying and then analysing the cause of deaths and any trends within those figures, rather than a straight scorecard number
IP: Logged
bnet Posted on 27/03/2020 14:20
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Hezzy, l wonder if the death rate in general as risen ? now that would be interesting eh !
IP: Logged
Drew-Peacock Posted on 27/03/2020 14:22
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
I think the point is that in percentage terms this virus won't make a great deal of difference to that statistic. In human tragedy terms it will be huge
IP: Logged
bnet Posted on 27/03/2020 14:24
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
not being crass, but how ?
IP: Logged
ClaphamFox Posted on 27/03/2020 14:53
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
The mortality rate of coronavirus itself is likely to end up being tiny. The problem is that if too many people become ill at the same time, people who would have lived with proper treatment may end up dying. And of course that goes for people with other conditions too because of the lack of hospital beds, etc.
IP: Logged
shanetko Posted on 28/03/2020 10:59
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Hoping for better news today. 182 was horrendous yday. Wonder how far we are away from peaking.
IP: Logged
Filbo65 Posted on 28/03/2020 11:26
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
They're still saying 2-3 weeks, shane, but then they also say that London is 2 weeks ahead of the rest of the UK. So who knows, frankly. Seems very very early to hope for good news on a daily basis...
IP: Logged
Filbo65 Posted on 28/03/2020 15:00
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Bigger daily jump than Italy at the comparative day...
IP: Logged
m4DD0gg Posted on 28/03/2020 15:03
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Not sure what any one expects to happen when two weeks ago 3000 madrid fans were free to wander round liverpool and 250,000 people were stood next to each other in a horse racing stadium.

We will not see a slow down of deaths for a minimum of 3-4 weeks and thats if selfish tossers can actually follow simple instructions.

Why do you think brum airport is being designated as a mortuary for 12000 people and thats just for the midlands.....

IP: Logged
sixthswan Posted on 01/04/2020 15:03
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
The daily death toll for the UK today, is heartbreaking...
IP: Logged
hackneyfox Posted on 01/04/2020 16:11
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
If you go into intensive care with Covid then you have a 48% of dying.
Average age is 60.

Link: Link
IP: Logged
Drew-Peacock Posted on 01/04/2020 16:36
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
How do we know this chap is a doctor?
IP: Logged
Filbo65 Posted on 01/04/2020 17:15
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
I think I'll wait for the ONS to provide such figures, tbh. But in the meantime, I'd like some more ideas how to get into the heads of the many, many thick / selfish / self-absorbed / oblivious / inconsiderate / clueless caaants who live near me. A staggering number – of all ages and genders – seem to be genuinely incapable of following the simple and straightforward guidance of keeping two metres away from other people, let alone having any regards for the g=fact that they are not the only people sharing narrow streets and pavements.
I'd like a taser,or something stronger ideally... [|)]
IP: Logged
sixthswan Posted on 02/04/2020 10:07
Comparison to Italy
Edited On: 02/04/2020 10:12
Report Message | Email Message To A Friend | Reply To Message 

 
It is comforting to see that Hancöck is looking to establish a five-point plan, to ramp up Covid-19 testing.

Rigourous testing has proven to keep cases and deaths down in South Korea.

Great proactive action from the Health Secretary, 94 days after the crisis began.

Hancöck's Half Hearted.
IP: Logged
Drew-Peacock Posted on 02/04/2020 10:54
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
94 days? First death in UK was March 9th
IP: Logged
sixthswan Posted on 02/04/2020 11:02
Comparison to Italy
Edited On: 02/04/2020 11:03
Report Message | Email Message To A Friend | Reply To Message 

 
Since Covid-19 hit the news.

There has been long enough since 9th March too.

Bunch of fcuking imbeciles.
IP: Logged
sixthswan Posted on 02/04/2020 11:18
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Also the lack of early testing and lockdowns in the United States is starting a worrying trend for the country.

As other countries start to slow down, the United States looks like it will become the global centre of the pandemic.
IP: Logged
mickyhoss Posted on 02/04/2020 11:25
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Anyone had a bet on themselves getting it and dying?
IP: Logged
Drew-Peacock Posted on 02/04/2020 11:42
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
I did - they offered me an early cash out but I turned them down
IP: Logged
sixthswan Posted on 08/04/2020 12:25
Comparison to Italy
Edited On: 08/04/2020 15:20
Report Message | Email Message To A Friend | Reply To Message 

 
This can't be right surely?

66,314 deaths for the UK. The worst in Europe and being blamed on the debates about herd immunity.

Hope they are completely wrong.

Link: Predictions
IP: Logged
kendalfox Posted on 08/04/2020 12:32
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
You would expect that in the USA with there health / Wealth

spread
IP: Logged
Adumass Posted on 08/04/2020 12:39
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
"The IHME said its model was designed to be updated from day to day as the pandemic goes on. For a country such as the UK, which is quite early on in its outbreak, the uncertainty was higher and the headline numbers might change over the next few days as more data is collected."

that study was disputed yesterday by Imperial College (well, they would!). Lets hope its wrong. it does seem to be on the wild side though, predicting more than 3 times the deaths in italy. scary if even half right.
IP: Logged
hackneyfox Posted on 08/04/2020 12:41
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
ONS reckon the actual death rate is nearly twice the official one. We could be at 10k already.
IP: Logged
Fugazi Posted on 08/04/2020 14:09
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
I read that this projection was so high because of the number of deaths caused by the huge lack of hospital beds and ventilators. Added, of course,to the lack of a testing and tracing regime.
IP: Logged
Drew-Peacock Posted on 08/04/2020 14:14
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Is it the Office of National Statistics or the Office of Taking a Rough Guess?
IP: Logged
sixthswan Posted on 05/05/2020 13:40
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
UK now the highest death toll in Europe. A sad day...[|)]
IP: Logged
hackneyfox Posted on 05/05/2020 13:57
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
New analysis showed coronavirus was mentioned on 30,000 death certificates across the UK by late April - a quarter higher than government daily figures at that time.
IP: Logged
Drew-Peacock Posted on 05/05/2020 15:30
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Mentioned on - not the cause of death. It's just a way of cutting down on the doctors and coroners responsibility to investigate the deaths properly.
IP: Logged
paddysfoxes Posted on 05/05/2020 15:59
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Are other countries including those that have passed away in care homes and community?
IP: Logged
Filbo65 Posted on 05/05/2020 16:12
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
No, there's a lot of variation between countries. For example, Belgian figures include possible CV deaths, which is one reason why they have amongst the worst mortality rate in the world.
It's been a while over here that GPs have been producing death certs remotely.
But the ONS did, I think, recently state that CV was the main cause in a large majority of deaths over 70...
IP: Logged
youlittleripper Posted on 05/05/2020 16:12
Comparison to Italy
Edited On: 05/05/2020 16:14
Report Message | Email Message To A Friend | Reply To Message 

 
Seems Italys figures still aren't quite as complete as our current ones - based on deaths in the community etc they've got around 5,000 more than currently stated according to a report i read today. We will surge ahead. But as we know 'each country is different'....'and we shouldn't look at the numbers now - only at the end'......when previously Hat Manc0ock was having regular wet dreams about being below Spain, France and Italy with our previous half arised figures. What a sheete shambles.
IP: Logged
shanetko Posted on 05/05/2020 22:03
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
no shock we’re worse off with this half a-rsed lockdown. Italy and Spain had a full blown lockdown.

Let’s see how everyone handles the second wave.
IP: Logged
Drew-Peacock Posted on 06/05/2020 09:49
Comparison to Italy

Report Message | Email Message To A Friend | Reply To Message 

 
Don't forget we are the most densely populated country in Europe and (depending on they way you count them) the second biggest population in Europe

Now wait for rant from Surfers about immigration
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2020 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213